From 41dc7b9af1841b0005051ad81ab36ed2e062d663 Mon Sep 17 00:00:00 2001
From: Rotem Yaari <vmalloc@gmail.com>
Date: Sat, 17 Aug 2013 22:43:39 +0300
Subject: [PATCH] #91: Fix broken tests on pypy

---
 .travis.yml           | 1 +
 tests/test_logbook.py | 2 +-
 tox.ini               | 2 +-
 3 files changed, 3 insertions(+), 2 deletions(-)

diff --git a/.travis.yml b/.travis.yml
index ee3f457..b0aaea6 100644
--- a/.travis.yml
+++ b/.travis.yml
@@ -3,6 +3,7 @@ python:
   - "2.6"
   - "2.7"
   - "3.3"
+  - "pypy"
 
 install:
   # this fixes SemLock issues on travis
diff --git a/tests/test_logbook.py b/tests/test_logbook.py
index 6d1a301..a1da11c 100644
--- a/tests/test_logbook.py
+++ b/tests/test_logbook.py
@@ -99,7 +99,7 @@ def make_record():
 
         errormsg = str(caught.exception)
         self.assertRegexpMatches(errormsg,
-                "Could not format message with provided arguments: Invalid (?:format specifier)|(?:conversion specification)")
+                "Could not format message with provided arguments: Invalid (?:format specifier)|(?:conversion specification)|(?:format spec)")
         self.assertIn("msg='Hello {foo:invalid}'", errormsg)
         self.assertIn('args=()', errormsg)
         self.assertIn("kwargs={'foo': 42}", errormsg)
diff --git a/tox.ini b/tox.ini
index 694cd51..2b52a28 100644
--- a/tox.ini
+++ b/tox.ini
@@ -1,5 +1,5 @@
 [tox]
-envlist=py26,py27,py33,docs
+envlist=py26,py27,py33,pypy,docs
 
 [testenv]
 commands=
-- 
1.8.1.6

